Bug 1410651 - Review Request: minetestmapper - Generates a overview image of a minetest map
Summary: Review Request: minetestmapper - Generates a overview image of a minetest map
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Cline
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-GAMESIG
TreeView+ depends on / blocked
 
Reported: 2017-01-06 01:21 UTC by Ben Rosser
Modified: 2017-02-22 14:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-22 14:49:22 UTC
jeremy: fedora-review+


Attachments (Terms of Use)

Description Ben Rosser 2017-01-06 01:21:58 UTC
Spec URL: https://tc01.fedorapeople.org/minetest/minetestmapper.spec
SRPM URL: https://tc01.fedorapeople.org/minetest/minetestmapper-20161218-1.fc25.src.rpm

Description:
Generates a overview image of a minetest map. This is a port of
minetestmapper.py to C++, that is both faster and provides more
details than the deprecated Python script.

Fedora Account System Username: tc01

Comment 1 Daniel Moerner 2017-01-17 17:01:55 UTC
Hi,

This is a non-official package review. Just trying to get involved :).

This looks very good to me. I can't find any particular problems. Note that I wrote a manpage which you can include, see below.

Versioning:

I worried a bit about the versioning in case upstream decides to issue a proper release, but I see that upstream does have a single git tag with a date, and which they used as the version for a Windows release, and which is the tag you used for this release. So this is probably fine.

Relevant fedora-review output:

Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

^ As confirmed on IRC with nirik, this is actually seems to be a bug in fedora-review. It is correct to list gcc-c++ as a BR, per https://fedoraproject.org/wiki/Packaging:C_and_C%2B%2B#BuildRequires_and_Requires

I have filed a bug against fedora-review: https://bugzilla.redhat.com/show_bug.cgi?id=1414065

Rpmlint
-------
Checking: minetestmapper-20161218-1.fc25.x86_64.rpm
          minetestmapper-debuginfo-20161218-1.fc25.x86_64.rpm
          minetestmapper-20161218-1.fc25.src.rpm
minetestmapper.x86_64: W: spelling-error %description -l en_US py -> pt, p, y
minetestmapper.x86_64: W: no-manual-page-for-binary minetestmapper
minetestmapper.src: W: spelling-error Summary(en_US) minetest -> minutest, mine test, mine-test
minetestmapper.src: W: spelling-error %description -l en_US minetest -> minutest, mine test, mine-test
minetestmapper.src: W: spelling-error %description -l en_US py -> pt, p, y
3 packages and 0 specfiles checked; 0 errors, 5 warnings.

^ The spelling errors are fine. But manpages are good, so I wrote a manpage! I filed a pull request with upstream: https://github.com/minetest/minetestmapper/pull/43

You are of course welcome to include the manpage in the Fedora package itself before upstream releases a new version. Here's a direct link: https://github.com/dmoerner/minetestmapper/blob/master/minetestmapper.6
The manpage does include a reference to postgresql support, which is in upstream master but not in 20161218. So if you want to include it you should remove that. (sed -i 's/\*postgresql\*, //' minetestmapper.6)

Daniel

Comment 2 Jeremy Cline 2017-01-19 15:09:01 UTC
I have just two things I'd like to see change.

First, it would be good to use the version macro in the source url like so:
https://github.com/minetest/minetestmapper/archive/%{version}/minetestmapper-%{version}.tar.gz
This makes it easy to update since you just bump the version and off you go. Several tools expect (or hope, rather) to be able to simply bump the version and retrieve the new tarball.

Second, I would recommend downloading the patch you're applying and reference it like that since it will then get checked
into dist-git and not rely on a network service being up to build the SRPM. In fact, I'm not sure that will even work during a real (non-scratch) Koji build.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "Unknown or generated". 30 files have unknown
     license. Detailed output of licensecheck in
     /home/vagrant/1410651-minetestmapper/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     minetestmapper-debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: minetestmapper-20161218-1.fc26.x86_64.rpm
          minetestmapper-debuginfo-20161218-1.fc26.x86_64.rpm
          minetestmapper-20161218-1.fc26.src.rpm
minetestmapper.x86_64: W: spelling-error %description -l en_US py -> pt, p, y
minetestmapper.x86_64: W: no-manual-page-for-binary minetestmapper
minetestmapper.src: W: spelling-error Summary(en_US) minetest -> minutest, mine test, mine-test
minetestmapper.src: W: spelling-error %description -l en_US minetest -> minutest, mine test, mine-test
minetestmapper.src: W: spelling-error %description -l en_US py -> pt, p, y
3 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (debuginfo)
-------------------
Checking: minetestmapper-debuginfo-20161218-1.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
minetestmapper.x86_64: W: spelling-error %description -l en_US py -> pt, p, y
minetestmapper.x86_64: W: no-manual-page-for-binary minetestmapper
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
minetestmapper-debuginfo (rpmlib, GLIBC filtered):

minetestmapper (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgd.so.3()(64bit)
    libhiredis.so.0.13()(64bit)
    libleveldb.so.1()(64bit)
    libm.so.6()(64bit)
    libsqlite3.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(CXXABI_1.3.5)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libz.so.1()(64bit)
    minetest
    rtld(GNU_HASH)



Provides
--------
minetestmapper-debuginfo:
    minetestmapper-debuginfo
    minetestmapper-debuginfo(x86-64)

minetestmapper:
    minetestmapper
    minetestmapper(x86-64)



Source checksums
----------------
https://github.com/minetest/minetestmapper/archive/20161218/minetestmapper-20161218.tar.gz :
  CHECKSUM(SHA256) this package     : 12a622f1238a0271c869705b75d7aa7113fe258f7383dacc33996035aac12c21
  CHECKSUM(SHA256) upstream package : 12a622f1238a0271c869705b75d7aa7113fe258f7383dacc33996035aac12c21


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1410651
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Ben Rosser 2017-01-20 05:19:28 UTC
Daniel: thanks for writing a manpage (and getting it sent upstream)! I've included it in the package.

Jeremy: thanks for the review! I've included your fixes (referring to the patches-- plural now, due to the manpage-- without using a URL and using %version in the Source URL):

Spec URL: https://tc01.fedorapeople.org/minetest/minetestmapper.spec
SRPM URL: https://tc01.fedorapeople.org/minetest/minetestmapper-20161218-2.fc25.src.rpm

Comment 4 Jeremy Cline 2017-01-20 20:09:26 UTC
Looks great, approved!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "Unknown or generated". 31 files have unknown
     license. Detailed output of licensecheck in
     /home/vagrant/mintestmapper/review-minetestmapper/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     minetestmapper-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: minetestmapper-20161218-2.fc26.x86_64.rpm
          minetestmapper-debuginfo-20161218-2.fc26.x86_64.rpm
          minetestmapper-20161218-2.fc26.src.rpm
minetestmapper.x86_64: W: spelling-error %description -l en_US py -> pt, p, y
minetestmapper.src: W: spelling-error Summary(en_US) minetest -> minutest, mine test, mine-test
minetestmapper.src: W: spelling-error %description -l en_US minetest -> minutest, mine test, mine-test
minetestmapper.src: W: spelling-error %description -l en_US py -> pt, p, y
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (debuginfo)
-------------------
Checking: minetestmapper-debuginfo-20161218-2.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
minetestmapper.x86_64: W: spelling-error %description -l en_US py -> pt, p, y
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
minetestmapper-debuginfo (rpmlib, GLIBC filtered):

minetestmapper (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgd.so.3()(64bit)
    libhiredis.so.0.13()(64bit)
    libleveldb.so.1()(64bit)
    libm.so.6()(64bit)
    libsqlite3.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(CXXABI_1.3.5)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libz.so.1()(64bit)
    minetest
    rtld(GNU_HASH)



Provides
--------
minetestmapper-debuginfo:
    minetestmapper-debuginfo
    minetestmapper-debuginfo(x86-64)

minetestmapper:
    minetestmapper
    minetestmapper(x86-64)



Source checksums
----------------
https://github.com/minetest/minetestmapper/archive/20161218/minetestmapper-20161218.tar.gz :
  CHECKSUM(SHA256) this package     : 12a622f1238a0271c869705b75d7aa7113fe258f7383dacc33996035aac12c21
  CHECKSUM(SHA256) upstream package : 12a622f1238a0271c869705b75d7aa7113fe258f7383dacc33996035aac12c21


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -n minetestmapper
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Gwyn Ciesla 2017-01-23 13:49:35 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/minetestmapper

Comment 6 Fedora Update System 2017-01-24 03:38:41 UTC
minetestmapper-20161218-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4d12a9ca59

Comment 7 Fedora Update System 2017-01-24 04:05:59 UTC
minetestmapper-20161218-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e2b128f57a

Comment 8 Fedora Update System 2017-01-25 01:22:43 UTC
minetestmapper-20161218-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e2b128f57a

Comment 9 Fedora Update System 2017-01-28 19:19:26 UTC
minetestmapper-20161218-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4d12a9ca59

Comment 10 Fedora Update System 2017-02-02 03:18:33 UTC
minetestmapper-20161218-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-38eaf6ca86

Comment 11 Fedora Update System 2017-02-02 23:18:57 UTC
minetestmapper-20161218-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-38eaf6ca86

Comment 12 Tuomo Soini 2017-02-04 07:18:41 UTC
epel7 build FTBFS on system with correct %{_pkgdocdir} setting.

error: Installed (but unpackaged) file(s) found:
   /usr/share/doc/minetestmapper/AUTHORS
   /usr/share/doc/minetestmapper/COPYING
   /usr/share/doc/minetestmapper/README.rst


on epel7 there should be versioned docdir.

Comment 13 Tuomo Soini 2017-02-04 07:27:35 UTC
Fix for the issue is to change:

# Remove extra files from pkgdocdir?                                            
rm -rf %{buildroot}%{_pkgdocdir}/*


to:

# Remove extra doc files
rm -rf %{buildroot}%{_defaultdocdir}/%{name}

Comment 14 Ben Rosser 2017-02-04 21:29:04 UTC
Oh, I see; that would be why the build was failing on EPEL. Thanks!

Fixed, will send out a new bodhi update with that change.

Comment 15 Fedora Update System 2017-02-04 23:19:10 UTC
minetestmapper-20161218-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-75083a4e0f

Comment 16 Fedora Update System 2017-02-05 20:20:24 UTC
minetestmapper-20161218-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-02-06 01:48:42 UTC
minetestmapper-20161218-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-02-06 02:19:55 UTC
minetestmapper-20161218-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-75083a4e0f

Comment 19 Fedora Update System 2017-02-22 14:49:22 UTC
minetestmapper-20161218-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.